# `azurerm_security_center_server_vulnerability_assessment`

Refer to the Terraform Registory for docs: [`azurerm_security_center_server_vulnerability_assessment`](https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment).

# `securityCenterServerVulnerabilityAssessment` Submodule <a name="`securityCenterServerVulnerabilityAssessment` Submodule" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment"></a>

## Constructs <a name="Constructs" id="Constructs"></a>

### SecurityCenterServerVulnerabilityAssessment <a name="SecurityCenterServerVulnerabilityAssessment" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment"></a>

Represents a {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment azurerm_security_center_server_vulnerability_assessment}.

#### Initializers <a name="Initializers" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer"></a>

```python
from cdktf_cdktf_provider_azurerm import security_center_server_vulnerability_assessment

securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment(
  scope: Construct,
  id: str,
  connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection] = None,
  count: typing.Union[typing.Union[int, float], TerraformCount] = None,
  depends_on: typing.List[ITerraformDependable] = None,
  for_each: ITerraformIterator = None,
  lifecycle: TerraformResourceLifecycle = None,
  provider: TerraformProvider = None,
  provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]] = None,
  hybrid_machine_id: str = None,
  id: str = None,
  timeouts: SecurityCenterServerVulnerabilityAssessmentTimeouts = None,
  virtual_machine_id: str = None
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.scope">scope</a></code> | <code>constructs.Construct</code> | The scope in which to define this construct. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.id">id</a></code> | <code>str</code> | The scoped construct ID. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.connection">connection</a></code> | <code>typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.count">count</a></code> | <code>typing.Union[typing.Union[int, float], cdktf.TerraformCount]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.dependsOn">depends_on</a></code> | <code>typing.List[cdktf.ITerraformDependable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.forEach">for_each</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.provisioners">provisioners</a></code> | <code>typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.hybridMachineId">hybrid_machine_id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#hybrid_machine_id SecurityCenterServerVulnerabilityAssessment#hybrid_machine_id}. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.id">id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#id SecurityCenterServerVulnerabilityAssessment#id}. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.timeouts">timeouts</a></code> | <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a></code> | timeouts block. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.virtualMachineId">virtual_machine_id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#virtual_machine_id SecurityCenterServerVulnerabilityAssessment#virtual_machine_id}. |

---

##### `scope`<sup>Required</sup> <a name="scope" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.scope"></a>

- *Type:* constructs.Construct

The scope in which to define this construct.

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.id"></a>

- *Type:* str

The scoped construct ID.

Must be unique amongst siblings in the same scope

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.connection"></a>

- *Type:* typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.count"></a>

- *Type:* typing.Union[typing.Union[int, float], cdktf.TerraformCount]

---

##### `depends_on`<sup>Optional</sup> <a name="depends_on" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.dependsOn"></a>

- *Type:* typing.List[cdktf.ITerraformDependable]

---

##### `for_each`<sup>Optional</sup> <a name="for_each" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.forEach"></a>

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.lifecycle"></a>

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.provider"></a>

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.provisioners"></a>

- *Type:* typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]

---

##### `hybrid_machine_id`<sup>Optional</sup> <a name="hybrid_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.hybridMachineId"></a>

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#hybrid_machine_id SecurityCenterServerVulnerabilityAssessment#hybrid_machine_id}.

---

##### `id`<sup>Optional</sup> <a name="id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.id"></a>

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#id SecurityCenterServerVulnerabilityAssessment#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `timeouts`<sup>Optional</sup> <a name="timeouts" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.timeouts"></a>

- *Type:* <a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a>

timeouts block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#timeouts SecurityCenterServerVulnerabilityAssessment#timeouts}

---

##### `virtual_machine_id`<sup>Optional</sup> <a name="virtual_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.Initializer.parameter.virtualMachineId"></a>

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#virtual_machine_id SecurityCenterServerVulnerabilityAssessment#virtual_machine_id}.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.toString">to_string</a></code> | Returns a string representation of this construct. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.addOverride">add_override</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.overrideLogicalId">override_logical_id</a></code> | Overrides the auto-generated logical ID with a specific ID. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetOverrideLogicalId">reset_override_logical_id</a></code> | Resets a previously passed logical Id to use the auto-generated logical id again. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.toMetadata">to_metadata</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.toTerraform">to_terraform</a></code> | Adds this resource to the terraform JSON output. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.putTimeouts">put_timeouts</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetHybridMachineId">reset_hybrid_machine_id</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetId">reset_id</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetTimeouts">reset_timeouts</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetVirtualMachineId">reset_virtual_machine_id</a></code> | *No description.* |

---

##### `to_string` <a name="to_string" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.toString"></a>

```python
def to_string() -> str
```

Returns a string representation of this construct.

##### `add_override` <a name="add_override" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.addOverride"></a>

```python
def add_override(
  path: str,
  value: typing.Any
) -> None
```

###### `path`<sup>Required</sup> <a name="path" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.addOverride.parameter.path"></a>

- *Type:* str

---

###### `value`<sup>Required</sup> <a name="value" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.addOverride.parameter.value"></a>

- *Type:* typing.Any

---

##### `override_logical_id` <a name="override_logical_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.overrideLogicalId"></a>

```python
def override_logical_id(
  new_logical_id: str
) -> None
```

Overrides the auto-generated logical ID with a specific ID.

###### `new_logical_id`<sup>Required</sup> <a name="new_logical_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.overrideLogicalId.parameter.newLogicalId"></a>

- *Type:* str

The new logical ID to use for this stack element.

---

##### `reset_override_logical_id` <a name="reset_override_logical_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetOverrideLogicalId"></a>

```python
def reset_override_logical_id() -> None
```

Resets a previously passed logical Id to use the auto-generated logical id again.

##### `to_metadata` <a name="to_metadata" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.toMetadata"></a>

```python
def to_metadata() -> typing.Any
```

##### `to_terraform` <a name="to_terraform" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.toTerraform"></a>

```python
def to_terraform() -> typing.Any
```

Adds this resource to the terraform JSON output.

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.interpolationForAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `put_timeouts` <a name="put_timeouts" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.putTimeouts"></a>

```python
def put_timeouts(
  create: str = None,
  delete: str = None,
  read: str = None
) -> None
```

###### `create`<sup>Optional</sup> <a name="create" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.putTimeouts.parameter.create"></a>

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#create SecurityCenterServerVulnerabilityAssessment#create}.

---

###### `delete`<sup>Optional</sup> <a name="delete" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.putTimeouts.parameter.delete"></a>

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#delete SecurityCenterServerVulnerabilityAssessment#delete}.

---

###### `read`<sup>Optional</sup> <a name="read" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.putTimeouts.parameter.read"></a>

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#read SecurityCenterServerVulnerabilityAssessment#read}.

---

##### `reset_hybrid_machine_id` <a name="reset_hybrid_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetHybridMachineId"></a>

```python
def reset_hybrid_machine_id() -> None
```

##### `reset_id` <a name="reset_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetId"></a>

```python
def reset_id() -> None
```

##### `reset_timeouts` <a name="reset_timeouts" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetTimeouts"></a>

```python
def reset_timeouts() -> None
```

##### `reset_virtual_machine_id` <a name="reset_virtual_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.resetVirtualMachineId"></a>

```python
def reset_virtual_machine_id() -> None
```

#### Static Functions <a name="Static Functions" id="Static Functions"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isConstruct">is_construct</a></code> | Checks if `x` is a construct. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isTerraformElement">is_terraform_element</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isTerraformResource">is_terraform_resource</a></code> | *No description.* |

---

##### `is_construct` <a name="is_construct" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isConstruct"></a>

```python
from cdktf_cdktf_provider_azurerm import security_center_server_vulnerability_assessment

securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.is_construct(
  x: typing.Any
)
```

Checks if `x` is a construct.

Use this method instead of `instanceof` to properly detect `Construct`
instances, even when the construct library is symlinked.

Explanation: in JavaScript, multiple copies of the `constructs` library on
disk are seen as independent, completely different libraries. As a
consequence, the class `Construct` in each copy of the `constructs` library
is seen as a different class, and an instance of one class will not test as
`instanceof` the other class. `npm install` will not create installations
like this, but users may manually symlink construct libraries together or
use a monorepo tool: in those cases, multiple copies of the `constructs`
library can be accidentally installed, and `instanceof` will behave
unpredictably. It is safest to avoid using `instanceof`, and using
this type-testing method instead.

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isConstruct.parameter.x"></a>

- *Type:* typing.Any

Any object.

---

##### `is_terraform_element` <a name="is_terraform_element" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isTerraformElement"></a>

```python
from cdktf_cdktf_provider_azurerm import security_center_server_vulnerability_assessment

securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.is_terraform_element(
  x: typing.Any
)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isTerraformElement.parameter.x"></a>

- *Type:* typing.Any

---

##### `is_terraform_resource` <a name="is_terraform_resource" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isTerraformResource"></a>

```python
from cdktf_cdktf_provider_azurerm import security_center_server_vulnerability_assessment

securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.is_terraform_resource(
  x: typing.Any
)
```

###### `x`<sup>Required</sup> <a name="x" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.isTerraformResource.parameter.x"></a>

- *Type:* typing.Any

---

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.node">node</a></code> | <code>constructs.Node</code> | The tree node. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.cdktfStack">cdktf_stack</a></code> | <code>cdktf.TerraformStack</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.friendlyUniqueId">friendly_unique_id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.terraformMetaArguments">terraform_meta_arguments</a></code> | <code>typing.Mapping[typing.Any]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.terraformResourceType">terraform_resource_type</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.terraformGeneratorMetadata">terraform_generator_metadata</a></code> | <code>cdktf.TerraformProviderGeneratorMetadata</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.connection">connection</a></code> | <code>typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.count">count</a></code> | <code>typing.Union[typing.Union[int, float], cdktf.TerraformCount]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.dependsOn">depends_on</a></code> | <code>typing.List[str]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.forEach">for_each</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.provisioners">provisioners</a></code> | <code>typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.timeouts">timeouts</a></code> | <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference">SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.hybridMachineIdInput">hybrid_machine_id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.idInput">id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.timeoutsInput">timeouts_input</a></code> | <code>typing.Union[<a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a>, cdktf.IResolvable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.virtualMachineIdInput">virtual_machine_id_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.hybridMachineId">hybrid_machine_id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.id">id</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.virtualMachineId">virtual_machine_id</a></code> | <code>str</code> | *No description.* |

---

##### `node`<sup>Required</sup> <a name="node" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.node"></a>

```python
node: Node
```

- *Type:* constructs.Node

The tree node.

---

##### `cdktf_stack`<sup>Required</sup> <a name="cdktf_stack" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.cdktfStack"></a>

```python
cdktf_stack: TerraformStack
```

- *Type:* cdktf.TerraformStack

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `friendly_unique_id`<sup>Required</sup> <a name="friendly_unique_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.friendlyUniqueId"></a>

```python
friendly_unique_id: str
```

- *Type:* str

---

##### `terraform_meta_arguments`<sup>Required</sup> <a name="terraform_meta_arguments" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.terraformMetaArguments"></a>

```python
terraform_meta_arguments: typing.Mapping[typing.Any]
```

- *Type:* typing.Mapping[typing.Any]

---

##### `terraform_resource_type`<sup>Required</sup> <a name="terraform_resource_type" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.terraformResourceType"></a>

```python
terraform_resource_type: str
```

- *Type:* str

---

##### `terraform_generator_metadata`<sup>Optional</sup> <a name="terraform_generator_metadata" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.terraformGeneratorMetadata"></a>

```python
terraform_generator_metadata: TerraformProviderGeneratorMetadata
```

- *Type:* cdktf.TerraformProviderGeneratorMetadata

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.connection"></a>

```python
connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection]
```

- *Type:* typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.count"></a>

```python
count: typing.Union[typing.Union[int, float], TerraformCount]
```

- *Type:* typing.Union[typing.Union[int, float], cdktf.TerraformCount]

---

##### `depends_on`<sup>Optional</sup> <a name="depends_on" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.dependsOn"></a>

```python
depends_on: typing.List[str]
```

- *Type:* typing.List[str]

---

##### `for_each`<sup>Optional</sup> <a name="for_each" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.forEach"></a>

```python
for_each: ITerraformIterator
```

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.lifecycle"></a>

```python
lifecycle: TerraformResourceLifecycle
```

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.provider"></a>

```python
provider: TerraformProvider
```

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.provisioners"></a>

```python
provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]]
```

- *Type:* typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]

---

##### `timeouts`<sup>Required</sup> <a name="timeouts" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.timeouts"></a>

```python
timeouts: SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference
```

- *Type:* <a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference">SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference</a>

---

##### `hybrid_machine_id_input`<sup>Optional</sup> <a name="hybrid_machine_id_input" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.hybridMachineIdInput"></a>

```python
hybrid_machine_id_input: str
```

- *Type:* str

---

##### `id_input`<sup>Optional</sup> <a name="id_input" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.idInput"></a>

```python
id_input: str
```

- *Type:* str

---

##### `timeouts_input`<sup>Optional</sup> <a name="timeouts_input" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.timeoutsInput"></a>

```python
timeouts_input: typing.Union[SecurityCenterServerVulnerabilityAssessmentTimeouts, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a>, cdktf.IResolvable]

---

##### `virtual_machine_id_input`<sup>Optional</sup> <a name="virtual_machine_id_input" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.virtualMachineIdInput"></a>

```python
virtual_machine_id_input: str
```

- *Type:* str

---

##### `hybrid_machine_id`<sup>Required</sup> <a name="hybrid_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.hybridMachineId"></a>

```python
hybrid_machine_id: str
```

- *Type:* str

---

##### `id`<sup>Required</sup> <a name="id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.id"></a>

```python
id: str
```

- *Type:* str

---

##### `virtual_machine_id`<sup>Required</sup> <a name="virtual_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.virtualMachineId"></a>

```python
virtual_machine_id: str
```

- *Type:* str

---

#### Constants <a name="Constants" id="Constants"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.tfResourceType">tfResourceType</a></code> | <code>str</code> | *No description.* |

---

##### `tfResourceType`<sup>Required</sup> <a name="tfResourceType" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessment.property.tfResourceType"></a>

```python
tfResourceType: str
```

- *Type:* str

---

## Structs <a name="Structs" id="Structs"></a>

### SecurityCenterServerVulnerabilityAssessmentConfig <a name="SecurityCenterServerVulnerabilityAssessmentConfig" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.Initializer"></a>

```python
from cdktf_cdktf_provider_azurerm import security_center_server_vulnerability_assessment

securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig(
  connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection] = None,
  count: typing.Union[typing.Union[int, float], TerraformCount] = None,
  depends_on: typing.List[ITerraformDependable] = None,
  for_each: ITerraformIterator = None,
  lifecycle: TerraformResourceLifecycle = None,
  provider: TerraformProvider = None,
  provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]] = None,
  hybrid_machine_id: str = None,
  id: str = None,
  timeouts: SecurityCenterServerVulnerabilityAssessmentTimeouts = None,
  virtual_machine_id: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.connection">connection</a></code> | <code>typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.count">count</a></code> | <code>typing.Union[typing.Union[int, float], cdktf.TerraformCount]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.dependsOn">depends_on</a></code> | <code>typing.List[cdktf.ITerraformDependable]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.forEach">for_each</a></code> | <code>cdktf.ITerraformIterator</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.lifecycle">lifecycle</a></code> | <code>cdktf.TerraformResourceLifecycle</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.provider">provider</a></code> | <code>cdktf.TerraformProvider</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.provisioners">provisioners</a></code> | <code>typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.hybridMachineId">hybrid_machine_id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#hybrid_machine_id SecurityCenterServerVulnerabilityAssessment#hybrid_machine_id}. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.id">id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#id SecurityCenterServerVulnerabilityAssessment#id}. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.timeouts">timeouts</a></code> | <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a></code> | timeouts block. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.virtualMachineId">virtual_machine_id</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#virtual_machine_id SecurityCenterServerVulnerabilityAssessment#virtual_machine_id}. |

---

##### `connection`<sup>Optional</sup> <a name="connection" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.connection"></a>

```python
connection: typing.Union[SSHProvisionerConnection, WinrmProvisionerConnection]
```

- *Type:* typing.Union[cdktf.SSHProvisionerConnection, cdktf.WinrmProvisionerConnection]

---

##### `count`<sup>Optional</sup> <a name="count" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.count"></a>

```python
count: typing.Union[typing.Union[int, float], TerraformCount]
```

- *Type:* typing.Union[typing.Union[int, float], cdktf.TerraformCount]

---

##### `depends_on`<sup>Optional</sup> <a name="depends_on" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.dependsOn"></a>

```python
depends_on: typing.List[ITerraformDependable]
```

- *Type:* typing.List[cdktf.ITerraformDependable]

---

##### `for_each`<sup>Optional</sup> <a name="for_each" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.forEach"></a>

```python
for_each: ITerraformIterator
```

- *Type:* cdktf.ITerraformIterator

---

##### `lifecycle`<sup>Optional</sup> <a name="lifecycle" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.lifecycle"></a>

```python
lifecycle: TerraformResourceLifecycle
```

- *Type:* cdktf.TerraformResourceLifecycle

---

##### `provider`<sup>Optional</sup> <a name="provider" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.provider"></a>

```python
provider: TerraformProvider
```

- *Type:* cdktf.TerraformProvider

---

##### `provisioners`<sup>Optional</sup> <a name="provisioners" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.provisioners"></a>

```python
provisioners: typing.List[typing.Union[FileProvisioner, LocalExecProvisioner, RemoteExecProvisioner]]
```

- *Type:* typing.List[typing.Union[cdktf.FileProvisioner, cdktf.LocalExecProvisioner, cdktf.RemoteExecProvisioner]]

---

##### `hybrid_machine_id`<sup>Optional</sup> <a name="hybrid_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.hybridMachineId"></a>

```python
hybrid_machine_id: str
```

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#hybrid_machine_id SecurityCenterServerVulnerabilityAssessment#hybrid_machine_id}.

---

##### `id`<sup>Optional</sup> <a name="id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.id"></a>

```python
id: str
```

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#id SecurityCenterServerVulnerabilityAssessment#id}.

Please be aware that the id field is automatically added to all resources in Terraform providers using a Terraform provider SDK version below 2.
If you experience problems setting this value it might not be settable. Please take a look at the provider documentation to ensure it should be settable.

---

##### `timeouts`<sup>Optional</sup> <a name="timeouts" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.timeouts"></a>

```python
timeouts: SecurityCenterServerVulnerabilityAssessmentTimeouts
```

- *Type:* <a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a>

timeouts block.

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#timeouts SecurityCenterServerVulnerabilityAssessment#timeouts}

---

##### `virtual_machine_id`<sup>Optional</sup> <a name="virtual_machine_id" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentConfig.property.virtualMachineId"></a>

```python
virtual_machine_id: str
```

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#virtual_machine_id SecurityCenterServerVulnerabilityAssessment#virtual_machine_id}.

---

### SecurityCenterServerVulnerabilityAssessmentTimeouts <a name="SecurityCenterServerVulnerabilityAssessmentTimeouts" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts"></a>

#### Initializer <a name="Initializer" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts.Initializer"></a>

```python
from cdktf_cdktf_provider_azurerm import security_center_server_vulnerability_assessment

securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts(
  create: str = None,
  delete: str = None,
  read: str = None
)
```

#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts.property.create">create</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#create SecurityCenterServerVulnerabilityAssessment#create}. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts.property.delete">delete</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#delete SecurityCenterServerVulnerabilityAssessment#delete}. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts.property.read">read</a></code> | <code>str</code> | Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#read SecurityCenterServerVulnerabilityAssessment#read}. |

---

##### `create`<sup>Optional</sup> <a name="create" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts.property.create"></a>

```python
create: str
```

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#create SecurityCenterServerVulnerabilityAssessment#create}.

---

##### `delete`<sup>Optional</sup> <a name="delete" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts.property.delete"></a>

```python
delete: str
```

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#delete SecurityCenterServerVulnerabilityAssessment#delete}.

---

##### `read`<sup>Optional</sup> <a name="read" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts.property.read"></a>

```python
read: str
```

- *Type:* str

Docs at Terraform Registry: {@link https://registry.terraform.io/providers/hashicorp/azurerm/3.52.0/docs/resources/security_center_server_vulnerability_assessment#read SecurityCenterServerVulnerabilityAssessment#read}.

---

## Classes <a name="Classes" id="Classes"></a>

### SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference <a name="SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference"></a>

#### Initializers <a name="Initializers" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.Initializer"></a>

```python
from cdktf_cdktf_provider_azurerm import security_center_server_vulnerability_assessment

securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference(
  terraform_resource: IInterpolatingParent,
  terraform_attribute: str
)
```

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.Initializer.parameter.terraformResource">terraform_resource</a></code> | <code>cdktf.IInterpolatingParent</code> | The parent resource. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.Initializer.parameter.terraformAttribute">terraform_attribute</a></code> | <code>str</code> | The attribute on the parent resource this class is referencing. |

---

##### `terraform_resource`<sup>Required</sup> <a name="terraform_resource" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.Initializer.parameter.terraformResource"></a>

- *Type:* cdktf.IInterpolatingParent

The parent resource.

---

##### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.Initializer.parameter.terraformAttribute"></a>

- *Type:* str

The attribute on the parent resource this class is referencing.

---

#### Methods <a name="Methods" id="Methods"></a>

| **Name** | **Description** |
| --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.computeFqn">compute_fqn</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getAnyMapAttribute">get_any_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getBooleanAttribute">get_boolean_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getBooleanMapAttribute">get_boolean_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getListAttribute">get_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberAttribute">get_number_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberListAttribute">get_number_list_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberMapAttribute">get_number_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getStringAttribute">get_string_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getStringMapAttribute">get_string_map_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.interpolationForAttribute">interpolation_for_attribute</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resolve">resolve</a></code> | Produce the Token's value at resolution time. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.toString">to_string</a></code> | Return a string representation of this resolvable object. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resetCreate">reset_create</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resetDelete">reset_delete</a></code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resetRead">reset_read</a></code> | *No description.* |

---

##### `compute_fqn` <a name="compute_fqn" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.computeFqn"></a>

```python
def compute_fqn() -> str
```

##### `get_any_map_attribute` <a name="get_any_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getAnyMapAttribute"></a>

```python
def get_any_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Any]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getAnyMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_attribute` <a name="get_boolean_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getBooleanAttribute"></a>

```python
def get_boolean_attribute(
  terraform_attribute: str
) -> IResolvable
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getBooleanAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_boolean_map_attribute` <a name="get_boolean_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getBooleanMapAttribute"></a>

```python
def get_boolean_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[bool]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getBooleanMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_list_attribute` <a name="get_list_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getListAttribute"></a>

```python
def get_list_attribute(
  terraform_attribute: str
) -> typing.List[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_attribute` <a name="get_number_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberAttribute"></a>

```python
def get_number_attribute(
  terraform_attribute: str
) -> typing.Union[int, float]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_list_attribute` <a name="get_number_list_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberListAttribute"></a>

```python
def get_number_list_attribute(
  terraform_attribute: str
) -> typing.List[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberListAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_number_map_attribute` <a name="get_number_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberMapAttribute"></a>

```python
def get_number_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[typing.Union[int, float]]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getNumberMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_attribute` <a name="get_string_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getStringAttribute"></a>

```python
def get_string_attribute(
  terraform_attribute: str
) -> str
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getStringAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `get_string_map_attribute` <a name="get_string_map_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getStringMapAttribute"></a>

```python
def get_string_map_attribute(
  terraform_attribute: str
) -> typing.Mapping[str]
```

###### `terraform_attribute`<sup>Required</sup> <a name="terraform_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.getStringMapAttribute.parameter.terraformAttribute"></a>

- *Type:* str

---

##### `interpolation_for_attribute` <a name="interpolation_for_attribute" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.interpolationForAttribute"></a>

```python
def interpolation_for_attribute(
  property: str
) -> IResolvable
```

###### `property`<sup>Required</sup> <a name="property" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.interpolationForAttribute.parameter.property"></a>

- *Type:* str

---

##### `resolve` <a name="resolve" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resolve"></a>

```python
def resolve(
  _context: IResolveContext
) -> typing.Any
```

Produce the Token's value at resolution time.

###### `_context`<sup>Required</sup> <a name="_context" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resolve.parameter._context"></a>

- *Type:* cdktf.IResolveContext

---

##### `to_string` <a name="to_string" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.toString"></a>

```python
def to_string() -> str
```

Return a string representation of this resolvable object.

Returns a reversible string representation.

##### `reset_create` <a name="reset_create" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resetCreate"></a>

```python
def reset_create() -> None
```

##### `reset_delete` <a name="reset_delete" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resetDelete"></a>

```python
def reset_delete() -> None
```

##### `reset_read` <a name="reset_read" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.resetRead"></a>

```python
def reset_read() -> None
```


#### Properties <a name="Properties" id="Properties"></a>

| **Name** | **Type** | **Description** |
| --- | --- | --- |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.creationStack">creation_stack</a></code> | <code>typing.List[str]</code> | The creation stack of this resolvable which will be appended to errors thrown during resolution. |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.fqn">fqn</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.createInput">create_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.deleteInput">delete_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.readInput">read_input</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.create">create</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.delete">delete</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.read">read</a></code> | <code>str</code> | *No description.* |
| <code><a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.internalValue">internal_value</a></code> | <code>typing.Union[<a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a>, cdktf.IResolvable]</code> | *No description.* |

---

##### `creation_stack`<sup>Required</sup> <a name="creation_stack" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.creationStack"></a>

```python
creation_stack: typing.List[str]
```

- *Type:* typing.List[str]

The creation stack of this resolvable which will be appended to errors thrown during resolution.

If this returns an empty array the stack will not be attached.

---

##### `fqn`<sup>Required</sup> <a name="fqn" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.fqn"></a>

```python
fqn: str
```

- *Type:* str

---

##### `create_input`<sup>Optional</sup> <a name="create_input" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.createInput"></a>

```python
create_input: str
```

- *Type:* str

---

##### `delete_input`<sup>Optional</sup> <a name="delete_input" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.deleteInput"></a>

```python
delete_input: str
```

- *Type:* str

---

##### `read_input`<sup>Optional</sup> <a name="read_input" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.readInput"></a>

```python
read_input: str
```

- *Type:* str

---

##### `create`<sup>Required</sup> <a name="create" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.create"></a>

```python
create: str
```

- *Type:* str

---

##### `delete`<sup>Required</sup> <a name="delete" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.delete"></a>

```python
delete: str
```

- *Type:* str

---

##### `read`<sup>Required</sup> <a name="read" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.read"></a>

```python
read: str
```

- *Type:* str

---

##### `internal_value`<sup>Optional</sup> <a name="internal_value" id="@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeoutsOutputReference.property.internalValue"></a>

```python
internal_value: typing.Union[SecurityCenterServerVulnerabilityAssessmentTimeouts, IResolvable]
```

- *Type:* typing.Union[<a href="#@cdktf/provider-azurerm.securityCenterServerVulnerabilityAssessment.SecurityCenterServerVulnerabilityAssessmentTimeouts">SecurityCenterServerVulnerabilityAssessmentTimeouts</a>, cdktf.IResolvable]

---



